> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numofx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trades



## OpenAPI

````yaml GET /v1/trades
openapi: 3.1.0
info:
  title: Numo orderbook API
  description: >-
    REST endpoints exposed by Numo's markets-service and execution-service for
    physically delivered FX futures.
  version: 1.0.0
servers:
  - url: https://api.numofx.com
    description: markets-service
  - url: https://executor.numofx.com
    description: execution-service
security: []
tags:
  - name: Markets service
  - name: Execution service
paths:
  /v1/trades:
    get:
      tags:
        - Markets service
      summary: Get recent trades
      operationId: getTrades
      parameters:
        - name: symbol
          in: query
          schema:
            type: string
        - name: asset_address
          in: query
          schema:
            type: string
        - name: sub_id
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: before_trade_id
          in: query
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Recent trades and 24h stats
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradesResponse'
components:
  schemas:
    TradesResponse:
      type: object
      properties:
        market_presentation:
          $ref: '#/components/schemas/MarketPresentation'
        stats_24h:
          $ref: '#/components/schemas/TradeStats24h'
        trades:
          type: array
          items:
            $ref: '#/components/schemas/Trade'
        next_before_trade_id:
          type: integer
    MarketPresentation:
      type: object
      properties:
        market:
          type: string
        contract_type:
          type: string
        settlement_type:
          type: string
        base_asset_symbol:
          type: string
        quote_asset_symbol:
          type: string
        expiry_timestamp:
          type: integer
        display_name:
          type: string
        display_label:
          type: string
        tick_size:
          type: string
        settlement_note:
          type: string
        asset_address:
          type: string
        sub_id:
          type: string
        order_entry_spec:
          type: string
    TradeStats24h:
      type: object
      properties:
        change:
          type: string
        high:
          type: string
        last:
          type: string
        low:
          type: string
        volume:
          type: string
    Trade:
      type: object
      properties:
        trade_id:
          type: integer
        asset_address:
          type: string
        sub_id:
          type: string
        price:
          type: string
        size:
          type: string
        aggressor_side:
          type: string
        taker_order_id:
          type: string
        maker_order_id:
          type: string
        created_at:
          type: string
          format: date-time
        market:
          type: string

````